import unittest
from selenium import webdriver
from selenium.webdriver.common.keys import Keys
import harkdesigner


class PythonNode (harkdesigner.TestHarkDesigner):
    def test_makefig(self):
        self.zoom(3)
        self.setDisplay("Line", "Lines")

        self.addNode("AudioStreamFromMic")
        self.addNode("ChannelSelector")
        self.addNode("MatrixToMap")
        self.addNode("SaveRawPCM")

        self.addNode("PostFilter")
        self.addNode("WhiteNoiseAdder")
        self.addNode("Synthesize")
        self.addNode("SaveRawPCM")
        self.reshape()

        self.connect("node_AudioStreamFromMic_1", "AUDIO",
                     "node_ChannelSelector_1", "INPUT")
        self.connect("node_ChannelSelector_1", "OUTPUT",
                     "node_MatrixToMap_1", "INPUT")
        self.connect("node_MatrixToMap_1", "OUTPUT",
                     "node_SaveRawPCM_1", "INPUT")
        self.addTerminalRole("node_SaveRawPCM_1", "OUTPUT", "Output", "")

        self.connect("node_PostFilter_1", "OUTPUT_SPEC",
                     "node_WhiteNoiseAdder_1", "INPUT")
        self.connect("node_WhiteNoiseAdder_1", "OUTPUT",
                     "node_SaveRawPCM_2", "INPUT")
        self.addTerminalRole("node_SaveRawPCM_2", "OUTPUT", "Condition", "")

        # take a picture
        self.reshape()

        self.screenshot("png", "SaveRawPCM_", True, doReshape=False)

if __name__ == "__main__":
    unittest.main()
