import unittest
from selenium import webdriver
from selenium.webdriver.common.keys import Keys
import harkdesigner


class PythonNode (harkdesigner.TestHarkDesigner):
    def test_LearningHARK001(self):
        self.zoom(3)
        self.setDisplay("Line", "Lines")

        # build main loop
        self.activateSheet("MAIN")
        for node in ["Iterate","AudioStreamFromMic","MatrixToMap","SaveRawPCM"]:
            self.addNode(node)

        self.reshape()
        self.connect("node_AudioStreamFromMic_1","AUDIO",
                     "node_MatrixToMap_1","INPUT")
        self.connect("node_MatrixToMap_1","OUTPUT",
                     "node_SaveRawPCM_1","INPUT")

        self.addTerminalRole("node_Iterate_1","OUTPUT","Condition",);
        self.addTerminalRole("node_AudioStreamFromMic_1","NOT_EOF","Output","NOT_EOF",);
        self.addTerminalRole("node_SaveRawPCM_1","OUTPUT","Output",);
        raw_input()
        # build main
        self.screenshot("png", "demo-RecordALSA2ch-MAIN_LOOP", True)

if __name__ == "__main__":
    unittest.main()
